.TH mir 1L "GPL Internet Utilities" "FSF" \" -*- nroff -*-
.SH NAME
mir \- automatically download files by www connection
.SH SYNOPSIS
.B mir
[http://<address>/[path[/initialfile]] <options>]
.br
.SH DESCRIPTION
This manual page
documents the GPL version of
.BR mir .

.B mir
automatically download files by www connection. This is very usefull when
mirroring pages, for fastest access copying it to your harddrive or when you
like a page so much, and you don't want to loose the information never, then
you want to make a copy of the page with this program.
.SS OPTIONS
When GPL
.B mir
is invoked with less than 1 argument, an error line shows, followed by the
inline help. The list of commands of this program is:

.TP
.I "\-q"
Quiet mode
.TP
.I "<address>"
Is needed to know the server to connect to.
.TP
.I "[path]"
Is needed to know where are the files to download.
.TP
.I "[initialfile]"
Is the file with the program start, mir download it and then start searching
links.
.TP
.I "\-u <username> <password>"
Is used to specify username and password for authentication with a web
server.
.TP
.I "\-d <0-3>"
Debug level, 0 no debug, 3 a lot, lot, LOT debug information.
.TP
.I "\-x <path/file>, <path1/file1>, ..."
Excludes files or paths from the download list.
.TP
.I "\-c <string1> <string2>"
Is used to replace on the mir file database a part of the path, when you
have a list of 100 links downloaded from a fast server, you don't need this
flag, but when you have 32,000 downloaded with a modem, and the webmaster
changes all files from one directory to another, then you need it.
Please check 
.B -export 
and 
.B -import

.TP
.I "-p <seconds>"
Some servers think that requesting links so fast isn't a human way of
surfing, so it stops responding requests to the machine that is making fast
queries. If you want to avoid that you need to make a pause between
downloads. Check also 
.B -random
.TP
.I "-rs"
By default, mir restricts the downloading to the initial address, if you
want to unrestrict it, to make a full backup of all the internet, then use
this flag, but be sure you have enough disk space ;)
.TP
.I "-rd"
Mir also restricts the downloading only files and directories that are
inside the parent directory, if you want to make a full backup of the site,
then use this flag.
.TP
.I "-rebuild"
When you lost some files or you look a corrupt file, you want to remove it
and then make a total rebuild of the database. This flag makes a check of
all the files on the database, comparing the size and other parameters with
the files on the harddrive, adding to the no downloaded list the files that
are missing.
.TP
.I "-random"
If the site you want to download is supervised frequently, and the webadmin
don't like "batch downloaders" you may need this flag, using it and also 
.B -p
flag you can make the downloading more "human". Also, if you're mirroring a
mp3/pics/movies site, this flag will be great, because you can see all types
of files downloaded random, not only html at the beginning.
.TP
.I "-noinitfilter"
This flag check all the database for duplicated links, and on next releases
may be disapear, when i debug the software enough to make it not get
duplicates at running time.
.TP
.I "-badlynx"
On Slackware lynx makes it's trace info on a file you can specify, and i
have slackware, but on redhat and others it users a file called Lynx.trace
at your home, so if you want to force to use this file on slackware, use
this flag. The program hopefully know if the lynx is one type or the other,
calling it at beginnig like a test.
.TP
.I "-import"
Reads from STDIN a text list of links, but uses special format, do an export
to see the format, or you may want to understand my poor english :P
the format is, separated by tabs, address path file size, current_position
status port
port isn't working yet, the size and current_position are unsigned long (32
bits positive integers) and status are pendent 0 unfinished 1
ready/downloaded 2 ignored 4 badlink 8.
.TP
.I "-export"
Exports all the database to STDOUT with the format described on 
.B -import
.TP
.I "-checkall"
All links that response with an error, like file not found, access denied,
and so are marked as 
.B badlink 
but if you want to try them again, use this flag.

.SS RUNNING COMMANDS

.TP
.I "Ctrl-C"
Is used to stop the program, when you click it the program doesn't stops
inmediatly, it waits until the database is correctly written on the disk,
then stops. If you press this key twice you can stop the program, but you
may damage the database.

.SS EXAMPLES

.B mir 
http://medisoft.alohabbs.org.mx -p 10 -rebuild -noinitfilter


.B mir
http://www.anipike.com/index.html -random -x *.jpg

.SS BUGS
Sometimes 
.B mir 
gets SIGSEGV signal, i don't know why, but i think is a pointer loss on
someplace, if you can fix it, please send me a patch :>

.SS AUTHOR
.B mir
was designed and programmed by Mario Medina in Mexico, if you want to talk
with he send a e-mail to:
.TP
.I "Mario Medina <medisoft@masago.com.mx>"
.TP
.I "Mario Medina <medisoft@ditec.com.mx>"
.TP
.I "Mario Medina <medisoft@mail.alohabbs.org.mx>"
.TP
.I "Mario Medina <medisoft@medisoft.alohabbs.org.mx>"

.TP
Homepage of Mario Medina is:

.TP
.I "http://medisoft.alohabbs.org.mx"
.TP
.I "http://masago.com.mx/~medisoft"

.SS 

.SS SEE ALSO
.BR wget (1)
.BR autoftp (1)

.TP
.I ""


